Skip to navigation

Get Employee [Single]

View as Markdown

Summary Description

The GET Single Employee API endpoint allows users to fetch specific employee details from a client’s Paylocity instance. To use this endpoint, the Paylocity Company ID and the Employee ID must be specified. The endpoint also offers an ‘include’ parameter for selective data retrieval, enabling users to choose specific payload elements to retrieve.

GET Specific Employee - Use Cases:

  • This API endpoint will allow an API user to retrieve an employee record for a specific employee ID.

  • For optimal use, pair this API endpoint with the Paylocity Employee Change Web Hook. This ensures that you get notified whenever there’s a change in the employee’s data in Paylocity. Along with the notification, you will receive the Paylocity Company ID and Employee ID corresponding to the employee whose data has been modified. You can then utilize the GET Specific Employee API endpoint to access the most recent version of the updated employee record.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

employeeIdstringRequired
Employee identifier within the specified company.

Headers

testModestringOptional
If true all responses are mocked and generated randomly.
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Query parameters

includestringOptional

(Required) Comma separated list of data to be included. Allowable Values: info, position, status, payrate and futurePayrates.

Response

Successful response

Errors

401
Unauthorized Error